package com.huimv.environ.eco.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.environ.eco.entity.SysTemperature;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author astupidcoder
 * @since 2021-11-11
 */
@Repository
public interface SysTemperatureMapper extends BaseMapper<SysTemperature> {

    List<SysTemperature> listDay(@Param(Constants.WRAPPER) QueryWrapper<SysTemperature> temperatureWrapper);
}
